SimpleLoggerTest (SLF4J 1.7.25 Test API)
Date: 2017-03-16

org.slf4j.impl

## Class SimpleLoggerTest

- java.lang.Object
- - org.slf4j.impl.SimpleLoggerTest

-     public class SimpleLoggerTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleLoggerTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `after()`
    `void` | `before()`
    `void` | `checkUseOfCachedOutputStream()`
    `void` | `checkUseOfLastSystemStreamReference()`
    `void` | `emptyLoggerName()`
    `void` | `loggerNameWithNoDots_WithLevel()`
    `void` | `loggerNameWithNoDots_WithNoSetLevel()`
    `void` | `loggerNameWithOneDot_NoSetLevel()`
    `void` | `loggerNameWithOneDotShouldInheritFromParent()`
    `void` | `offLevel()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleLoggerTest

          public SimpleLoggerTest()

  - ### Method Detail

    - #### before

          public void before()

    - #### after

          public void after()

    - #### emptyLoggerName

          public void emptyLoggerName()

    - #### offLevel

          public void offLevel()

    - #### loggerNameWithNoDots_WithLevel

          public void loggerNameWithNoDots_WithLevel()

    - #### loggerNameWithOneDotShouldInheritFromParent

          public void loggerNameWithOneDotShouldInheritFromParent()

    - #### loggerNameWithNoDots_WithNoSetLevel

          public void loggerNameWithNoDots_WithNoSetLevel()

    - #### loggerNameWithOneDot_NoSetLevel

          public void loggerNameWithOneDot_NoSetLevel()

    - #### checkUseOfLastSystemStreamReference

          public void checkUseOfLastSystemStreamReference()

    - #### checkUseOfCachedOutputStream

          public void checkUseOfCachedOutputStream()

Copyright © 2005–2017 QOS.ch. All rights reserved.